baz_burster_config_t Struct Reference

`#include <baz_burster_config.h>`

## Public Attributes

int | sample_rate
int | item_size
int | burst_length
double | interval
bool | sample_interval
bool | relative_time
bool | drop_current
bool | use_host_time
bool | read_time_tag
bool | output_messages
gr::msg_queue::sptr | msgq
bool | output_stream
bool | trigger_on_tags
bool | use_tag_lengths
std::vector< std::string > | trigger_tags
std::vector< std::string > | length_tags
std::map< std::string, std::string > | eob_tags

## Member Data Documentation

## burst_length

int baz_burster_config_t::burst_length

## drop_current

bool baz_burster_config_t::drop_current

## eob_tags

std::map<std::string,std::string> baz_burster_config_t::eob_tags

## interval

double baz_burster_config_t::interval

## item_size

int baz_burster_config_t::item_size

## length_tags

std::vector<std::string> baz_burster_config_t::length_tags

## msgq

gr::msg_queue::sptr baz_burster_config_t::msgq

## output_messages

bool baz_burster_config_t::output_messages

## output_stream

bool baz_burster_config_t::output_stream

## read_time_tag

bool baz_burster_config_t::read_time_tag

## relative_time

bool baz_burster_config_t::relative_time

## sample_interval

bool baz_burster_config_t::sample_interval

## sample_rate

int baz_burster_config_t::sample_rate

## trigger_on_tags

bool baz_burster_config_t::trigger_on_tags

## trigger_tags

std::vector<std::string> baz_burster_config_t::trigger_tags

## use_host_time

bool baz_burster_config_t::use_host_time

## use_tag_lengths

bool baz_burster_config_t::use_tag_lengths

The documentation for this struct was generated from the following file:

- baz_burster_config.h